FFmpeg libavcodec/h264.c ‘decode_slice_header()’函数安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1169125 漏洞类型 输入验证
发布时间 2013-02-22 更新时间 2013-11-25
CVE编号 CVE-2013-0867 CNNVD-ID CNNVD-201302-340
漏洞平台 N/A CVSS评分 9.3
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201302-340
|漏洞详情
FFmpeg是FFmpeg团队的一套可录制、转换以及流化音视频的完整解决方案。FFmpeg1.1.2之前的版本中的libavcodec/h264.c文件中的‘decode_slice_header’函数中存在越边界数组访问漏洞,该漏洞源于当像素分辨率格式更改时程序没有正确检查。远程攻击者可借助H.264视频数据利用漏洞使应用程序崩溃。
|参考资料

来源:www.ffmpeg.org
链接:http://www.ffmpeg.org/security.html
来源:git.videolan.org
链接:http://git.videolan.org/?p=ffmpeg.git;a=commitdiff;h=3ef1538121fa6daeb1767510f1d4ae2c306c9fec
来源:SECUNIA
名称:52093
链接:http://secunia.com/advisories/52093
来源:BID
名称:57868
链接:http://www.securityfocus.com/bid/57868
来源:NSFOCUS
名称:22790
链接:http://www.nsfocus.net/vulndb/22790